View Issue Details

IDProjectCategoryView StatusLast Update
0000338Far Manager 1.7xMacropublic2007-10-29 04:11
ReporterDrKnSAssigned Tovskirdin 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2008
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000338: Мусор в комстроке при вызове макроса
Descriptionфар с дефолтными настройками и единственным плагином farcmds.
записываем макросы:

Первый, на нём наблюдаем эффект:
[HKEY_CURRENT_USER\Software\Far\KeyMacros\Shell\Esc]
"Sequence"=" CtrlO"

Второй: область не важна, имя не важно, сиквенс - 3 любых символа, например так:
[HKEY_CURRENT_USER\Software\Far\KeyMacros\Info\1]
"Sequence"="1 1 1"

Сохраняем по ShiftF9, перезапускаем фар.
Перечитываем макросы по macro:load.
Жмём esc.
Вместе с переключением панелей в комстроку валится мусор - обычно в виде символа скобки - (.
Продолжение экспериментов рано или поздно приводит к AV.

P.S. на чистой win2k в vmware повторяется тоже.
TagsNo tags attached.
Build2283

Activities

vskirdin

2007-10-27 18:27

administrator   bugnote:0000729

после 2284

Issue History

Date Modified Username Field Change
2007-10-26 15:51 DrKnS New Issue
2007-10-26 15:51 DrKnS Status new => assigned
2007-10-26 15:51 DrKnS Assigned To => vskirdin
2007-10-27 18:27 vskirdin Note Added: 0000729
2007-10-27 18:27 vskirdin Status assigned => feedback
2007-10-28 10:56 DrKnS Status feedback => resolved
2007-10-28 10:56 DrKnS Resolution open => fixed
2007-10-29 04:11 vskirdin Build => 2283
2007-10-29 04:11 vskirdin Status resolved => closed
2007-10-29 04:11 vskirdin Fixed in Version => 1.71